Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleDebugLib

    java.lang.Object
      com.ibm.able.rules.AbleDebugLib

All Implemented Interfaces:
  java.io.Serializable

public class AbleDebugLib
extends java.lang.Object
implements java.io.Serializable

This class provides a set of user-defined functions for adding debugging capability to the Able Swing-based RuleSet editor.

See Also:
  Serialized Form

Field Summary
`protected AbleRuleSetDebugConsole` | `myConsole` A copy of the debug console from the ruleset being debugged.

Constructor Summary
`AbleDebugLib()` GUI-based User-Defined Function Library for debugging AbleRuleSet objects.

Method Summary
`void` | `engineBreakpoint(AbleRuleSet theRuleSet)` This function is called by the inference engine when a break point is reached.
`void` | `startDebugConsole(AbleRuleSet theRuleSet)` Open the debug console dialog.
`void` | `stopDebugConsole(AbleRuleSet theRuleSet)` Close the debug console dialog.
`void` | `userBreakpoint(AbleRuleSet theRuleSet)` This function is called by the inference engine when a rule is reached containing a userBreakpoint(this) statement in it.
`void` | `userBreakpoint(AbleRuleSet theRuleSet, java.lang.String theMsg)` This function is called by the inference engine when a rule is reached containing a userBreakpoint(this, msg) statement in it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myConsole

    protected transient AbleRuleSetDebugConsole myConsole

  A copy of the debug console from the ruleset being debugged.

Constructor Detail

### AbleDebugLib

    public AbleDebugLib()

  GUI-based User-Defined Function Library for debugging AbleRuleSet objects.

Method Detail

### startDebugConsole

    public void startDebugConsole(AbleRuleSet theRuleSet)

  Open the debug console dialog.

  Parameters:
    `theRuleSet` - A ruleset to be debugged.

### stopDebugConsole

    public void stopDebugConsole(AbleRuleSet theRuleSet)

  Close the debug console dialog.

  Parameters:
    `theRuleSet` - A ruleset under debug.

### engineBreakpoint

    public void engineBreakpoint(AbleRuleSet theRuleSet)

  This function is called by the inference engine when a break point is reached. It passes control to the Debug Console and returns to the engine when the user is ready to continue.

  Parameters:
    `theRuleSet` - A ruleset under debug.

### userBreakpoint

    public void userBreakpoint(AbleRuleSet theRuleSet)

  This function is called by the inference engine when a rule is reached containing a userBreakpoint(this) statement in it.

  It passes control to the Debug Console and returns to the engine when the user is ready to continue ...

  Parameters:
    `theRuleSet` - A ruleset under debug.

### userBreakpoint

    public void userBreakpoint(AbleRuleSet theRuleSet,
                               java.lang.String theMsg)

  This function is called by the inference engine when a rule is reached containing a userBreakpoint(this, msg) statement in it.

  It passes control to the Debug Console and returns to the engine when the user is ready to continue ...

  Parameters:
    `theRuleSet` - A ruleset under debug.

    `theMsg` - A message to print in the debug console.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005